---
sidebar_position: 1
---

# Comment migrer un groupe GitLab vers Froggit ?

Tout comme il est possible d'importer un projet depuis GitLab.com ou une autre instance GitLab, il est possible d'importer un groupe GitLab vers Froggit.

## Comment procéder ?

1) Connectez-vous avec votre compte Froggit sur https://lab.frogg.it/groups/new pour créer un nouveau groupe ou un nouveau sous-groupe.

2) Sélectionnez **Import Group**.
![Etapes 1 et 2](/img/docs/migration/step1-2.png)

3) Entrez l'URL de l'instance GitLab depuis laquelle vous allez importer vos groupes (cela peut être gitlab.com ou une instance auto-hébergée).

4) Sur l'instance GitLab sur laquelle vous allez importer les groupes : Générez ou copiez un [__personal access token__](https://docs.gitlab.com/ee/user/profile/personal_access_tokens.html) avec les __scopes__ `api` et `read_repository`.

5) Copiez le token généré dans le champ associé et sélectionnez **Connect instance**.
![Etapes 3 à 5](/img/docs/migration/step3-5.png)

6) Après avoir autorisé l'accès à votre instance GitLab, vous êtes redirigé vers la page d'importation des groupes. Les groupes que vous pourrez importer sont listés.

:::info

Vous ne pouvez importer que les groupes dont **vous avez le rôle de Owner (propriétaire)** sur l'instance distante.

:::

7) Par défaut, les __namespaces__ de groupes proposés correspondent aux noms tels qu'ils existent sur l'instance distante. Cependant, suivant vos permissions, vous pouvez choisir d'éditer les noms des groupes avant leur importation.
![Etapes 6 et 7](/img/docs/migration/step6-7.png)
8) À côté des groupes que vous voulez importer, sélectionnez **Import**. L'importation peut prendre un peu de temps et vous en êtes informé en temps réel grâce à la colonne **Status** à côté. Une fois l'importation finie, votre groupe est désormais disponible dans Froggit. Une URL vous est donnée pour accéder au groupe.
